Last Comment Bug 864946 - Add Google Analytics parameters to default snippet links
: Add Google Analytics parameters to default snippet links
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 23
Assigned To: Michael Kelly [:mkelly,:Osmose]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-23 12:44 PDT by Winston Bowden
Modified: 2014-04-10 13:02 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (1.33 KB, patch)
2013-04-29 14:29 PDT, Michael Kelly [:mkelly,:Osmose]
no flags Details | Diff | Splinter Review
patch v1.1 (1.33 KB, patch)
2013-04-30 06:47 PDT, Michael Kelly [:mkelly,:Osmose]
no flags Details | Diff | Splinter Review
patch v1.2 (1.33 KB, patch)
2013-04-30 09:17 PDT, Michael Kelly [:mkelly,:Osmose]
fryn: review+
Details | Diff | Splinter Review

Description Winston Bowden 2013-04-23 12:44:47 PDT
The default snippets that run when the service is down are using webtrends tags.  Can we update those with GA?  

I can't see the add-on snippet at the moment, but I believe the other snippet links to the feature page.  I created a GA link for you.  The add-ons will need a GA link as well.  

Feature default snippet GA link:
https://www.mozilla.org/en-US/firefox/features/?utm_source=snippet&utm_medium=snippet&utm_campaign=default+feature+snippet
Comment 1 Michael Kelly [:mkelly,:Osmose] 2013-04-24 20:37:12 PDT
The two current URLs being used are:

http://www.mozilla.com/firefox/features/?WT.mc_ID=default1
https://addons.mozilla.org/firefox/?src=snippet&WT.mc_ID=default2

I'll change the first one to

http://www.mozilla.com/firefox/features/?utm_source=snippet&utm_medium=snippet&utm_campaign=default+feature+snippet

What should the second one be?

I've got mozilla-central set up locally and I've successfully changed the URLs. Once I make the change and have a patch I'll move this over to the right component and get someone to review/commit my changes.
Comment 3 Michael Kelly [:mkelly,:Osmose] 2013-04-29 14:29:28 PDT
Created attachment 743290 [details] [diff] [review]
patch v1

Here's a patch that makes the requested changes.

fryn: Let me know if I did something wrong and what else I need to do to get this merged, I've never touched the browser before. :D
Comment 5 Michael Kelly [:mkelly,:Osmose] 2013-04-30 06:47:54 PDT
Created attachment 743590 [details] [diff] [review]
patch v1.1

Link has been httpsified!
Comment 6 Frank Yan (:fryn) 2013-04-30 09:02:05 PDT
Comment on attachment 743590 [details] [diff] [review]
patch v1.1

>+  "https://www.mozilla.com/firefox/features/?utm_source=snippet&utm_medium=snippet&utm_campaign=default+feature+snippet"

Do we actually want the mozilla.com to mozilla.org redirect?
Comment 7 Michael Kelly [:mkelly,:Osmose] 2013-04-30 09:17:31 PDT
Created attachment 743679 [details] [diff] [review]
patch v1.2

Clearly I am not on my A-game today. I've tested both the URLs to ensure only an l10n redirect happens. Hopefully I haven't missed anything again. :D
Comment 8 Frank Yan (:fryn) 2013-04-30 09:25:26 PDT
Comment on attachment 743679 [details] [diff] [review]
patch v1.2

Thanks for working on this, mkelly. :)
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-04-30 19:00:05 PDT
https://hg.mozilla.org/mozilla-central/rev/d024e275689a

Note You need to log in before you can comment on or make changes to this bug.